﻿namespace TestProject;

/// <summary>
/// 그래픽스 그리기 가능형
/// </summary>
public class GraphicsDrawable : IDrawable
{
    //////////////////////////////////////////////////////////////////////////////////////////////////// Method
    ////////////////////////////////////////////////////////////////////////////////////////// Public

    #region 그리기 - Draw(canvas, dirtyRectangle)

    /// <summary>
    /// 그리기
    /// </summary>
    /// <param name="canvas">캔버스</param>
    /// <param name="dirtyRectangle">더티 사각형</param>
    public void Draw(ICanvas canvas, RectF dirtyRectangle)
    {
        RadialGradientPaint radialGradientPaint = new RadialGradientPaint
        {
            StartColor = Colors.Red,
            EndColor   = Colors.DarkBlue,
            Center     = new Point(0.5, 0.5),
            Radius     = 0.5
        };

        RectF rectangle = new RectF(50, 50, 250, 250);

        canvas.SetFillPaint(radialGradientPaint, rectangle);

        canvas.SetShadow(new SizeF(10, 10), 10, Colors.Grey);

        canvas.FillRoundedRectangle(rectangle, 10);
    }

    #endregion
}